Package: io.vertx.groovy.servicediscovery.spi

## [Groovy] Class ServiceImporter

- io.vertx.groovy.servicediscovery.spi.ServiceImporter

- The service importer allows integrate other discovery technologies with the Vert.x service discovery. It maps entries from another technology to a and maps to a publication in this other technology. The importer is one side of a service discovery bridge.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ServiceImporter (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `close(io.vertx.core.Handler<java.lang.Void> closeHandler)` Close the importer
    `java.lang.Object` | `getDelegate()`
    `void` | `start(Vertx vertx, ServicePublisher publisher, java.util.Map<java.lang.String, java.lang.Object> configuration, Future<java.lang.Void> future)` Starts the importer.
    `void` | `stop(Vertx vertx, ServicePublisher publisher, Future<java.lang.Void> future)` Stops the importer.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ServiceImporter(java.lang.Object delegate)

  - ### Method Detail

    - #### void close(io.vertx.core.Handler<java.lang.Void> closeHandler)

      Close the importer

      Parameters:
        `closeHandler` - the handle to be notified when importer is closed, may be `null`

    - #### java.lang.Object getDelegate()

    - #### void start(Vertx vertx, ServicePublisher publisher, java.util.Map<java.lang.String, java.lang.Object> configuration, Future<java.lang.Void> future)

      Starts the importer.

      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service discovery instance
        `configuration` - the bridge configuration if any
        `future` - a future on which the bridge must report the completion of the starting

    - #### void stop(Vertx vertx, ServicePublisher publisher, Future<java.lang.Void> future)

      Stops the importer.

      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service discovery instance
        `future` - the future on which the bridge must report the completion of the stopping process